<?php
//
// Copyright (c) 2008-2015 Nagios Enterprises, LLC.  All rights reserved.
//  
// $Id: page-missing.php 3604 2015-09-01 14:23:40Z jomann $

require_once(dirname(__FILE__) . '/common.inc.php');


route_request();

function route_request()
{
    show_page();
}

/**
 * @param bool   $error
 * @param string $msg
 */
function show_page($error = false, $msg = "")
{
    global $lstr;

    // page start
    do_page_start($lstr['MissingPageTitle']);
    ?>
    <h1><?php echo $lstr['MissingPageHeader']; ?></h1>

    <p>
        <?php echo $lstr['MissingPageNote']; ?>
    </p>

    <p>
        <?php echo $lstr['MissingPageText']; ?>: <?php echo grab_request_var("page"); ?>
    </p>
    <?php
    do_page_end();
}